#ifndef __COMMON_H_INCLUDE__
#define __COMMON_H_INCLUDE__


#include "plugin.h"
#include <map>


int		command_unknown( PluginMethod* method, int command, const char* command_arg );
int		command_reboot(  PluginMethod* method, int command, const char* command_arg );
int		command_linkup(  PluginMethod* method, int command, const char* command_arg );
int		command_linkdown(  PluginMethod* method, int command, const char* command_arg );
int		command_getlog(  PluginMethod* method, int command, const char* command_arg );
int		command_getsyslog(  PluginMethod* method, int command, const char* command_arg );
int		command_getip(  PluginMethod* method, int command, const char* command_arg );
int		command_getips(  PluginMethod* method, int command, const char* command_arg );
int		command_getall(  PluginMethod* method, int command, const char* command_arg );
int		command_enable_eco(  PluginMethod* method, int command, const char* command_arg );
int		command_start_eco(  PluginMethod* method, int command, const char* command_arg );
int		command_disable_eco(  PluginMethod* method, int command, const char* command_arg );
int		command_eco(  PluginMethod* method, int command, const char* command_arg );

typedef int (*exec_command)( PluginMethod* method, int command, const char* command_arg );




#endif // __COMMON_H_INCLUDE__
